> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prequel.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create magic link

> Add a new magic link.



## OpenAPI

````yaml /generated/openapi-generated-2023-12-01.json post /magic-links
openapi: 3.1.0
info:
  title: Prequel Data Export
  description: Data Export API spec
  version: '2023-12-01'
servers:
  - url: https://api.prequel.co
    description: Cloud-hosted server (US)
  - url: https://eu-api.prequel.co
    description: Cloud-hosted server (EU)
  - url: https://{custom_host}/
    description: Cloud-prem or shared-cloud server
security:
  - ApiKeyAuth: []
paths:
  /magic-links:
    post:
      tags:
        - Magic Links
      summary: Create magic link
      description: Add a new magic link.
      operationId: create-magic-link
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateMagicLinkRequest'
              $schema: https://json-schema.org/draft/2020-12/schema
              $id: >-
                https://github.com/prequel-co/datafeed/internal/export/api/models/create-magic-link-request
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    const: success
                  data:
                    $ref: '#/components/schemas/GetMagicLinkResponse'
                    $schema: https://json-schema.org/draft/2020-12/schema
                    $id: >-
                      https://github.com/prequel-co/datafeed/internal/export/api/models/get-magic-link-response
                  message:
                    type: string
                type: object
                required:
                  - status
                  - data
                  - message
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateMagicLinkRequest:
      properties:
        magic_link:
          $ref: '#/components/schemas/MagicLinkOptions'
      additionalProperties: false
      type: object
      required:
        - magic_link
    GetMagicLinkResponse:
      properties:
        magic_link:
          $ref: '#/components/schemas/MagicLinkResource'
      additionalProperties: false
      type: object
      required:
        - magic_link
    MagicLinkOptions:
      oneOf:
        - $ref: '#/components/schemas/ABSMagicLinkOptions'
          title: Azure Blob Storage
        - $ref: '#/components/schemas/AthenaMagicLinkOptions'
          title: Amazon Athena
        - $ref: '#/components/schemas/BigQueryMagicLinkOptions'
          title: Google BigQuery
        - $ref: '#/components/schemas/ClickhouseMagicLinkOptions'
          title: ClickHouse
        - $ref: '#/components/schemas/DatabricksMagicLinkOptions'
          title: Databricks
        - $ref: '#/components/schemas/DeltaLakeMagicLinkOptions'
          title: Delta Lake
        - $ref: '#/components/schemas/GCSMagicLinkOptions'
          title: Google Cloud Storage
        - $ref: '#/components/schemas/GoogleSheetsMagicLinkOptions'
          title: Google Sheets
        - $ref: '#/components/schemas/RedshiftMagicLinkOptions'
          title: Amazon Redshift
        - $ref: '#/components/schemas/RedshiftMagicLinkOptions'
          title: Amazon Redshift Serverless
        - $ref: '#/components/schemas/S3MagicLinkOptions'
          title: Amazon S3
        - $ref: '#/components/schemas/S3CompatibleMagicLinkOptions'
          title: S3 Compatible
        - $ref: '#/components/schemas/GenericMagicLinkOptions'
          title: Amazon Aurora MySQL
        - $ref: '#/components/schemas/IcebergMagicLinkOptions'
          title: Iceberg
        - $ref: '#/components/schemas/GenericMagicLinkOptions'
          title: MongoDB
        - $ref: '#/components/schemas/MotherDuckMagicLinkOptions'
          title: MotherDuck
        - $ref: '#/components/schemas/GenericMagicLinkOptions'
          title: MySQL
        - $ref: '#/components/schemas/GenericMagicLinkOptions'
          title: Oracle
        - $ref: '#/components/schemas/GenericMagicLinkOptions'
          title: Amazon Aurora PostgreSQL
        - $ref: '#/components/schemas/GenericMagicLinkOptions'
          title: PostgreSQL
        - $ref: '#/components/schemas/GenericMagicLinkOptions'
          title: SQL Server
        - $ref: '#/components/schemas/GenericMagicLinkOptions'
          title: SingleStore
        - $ref: '#/components/schemas/GenericMagicLinkOptions'
          title: SFTP
        - $ref: '#/components/schemas/SnowflakeMagicLinkOptions'
          title: Snowflake
    MagicLinkResource:
      properties:
        id:
          type: string
          description: The unique identifier for the recipient.
        name:
          type: string
          description: The name of the recipient.
        products:
          items:
            type: string
          type: array
          description: The products that the recipient has assigned.
        id_in_provider_system:
          type: string
          description: The ID used in source system for the recipient.
        recipient_id:
          type: string
        host:
          type: string
        link:
          type: string
        has_been_used:
          type: boolean
        created_at:
          type: string
          format: date-time
        bucket_name:
          type: string
        vendor:
          type: string
        available_models:
          items:
            type: string
          type: array
        bucket_access_id:
          type: string
        bucket_vendor:
          type: string
        ssh_public_key:
          type: string
        redirect_url:
          type: string
        set_destination_enabled:
          type: boolean
        metastore:
          type: string
        catalog:
          type: string
        bucket_host:
          type: string
        table_bucket_arn:
          type: string
      additionalProperties: false
      type: object
      required:
        - id
        - name
        - products
        - id_in_provider_system
        - host
        - link
        - has_been_used
        - created_at
        - bucket_name
        - vendor
        - available_models
        - set_destination_enabled
    ErrorResponse:
      properties:
        status:
          type: string
          const: error
        message:
          type: string
        data:
          type: 'null'
      type: object
      required:
        - status
        - message
    ABSMagicLinkOptions:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: >-
        https://github.com/prequel-co/datafeed/internal/export/api/models/abs-magic-link-options
      properties:
        name:
          type: string
          title: Destination name
          description: >-
            Descriptive name for the destination created with this Magic Link.
            This will only be visible internally and is only used as a
            reference.
        set_destination_enabled:
          type: boolean
          description: >-
            Connection will be enabled on creation and data will begin
            transferring upon successful link submission.
        redirect_url:
          type: string
          pattern: ^(https?://.+)?$
          description: >-
            The user will be redirected to the provided URL after successful
            form submission. If left blank the user will remain on the
            successful submission page.
        recipient_id:
          type: string
          format: uuid
          title: Recipient ID
        vendor:
          type: string
          enum:
            - abs
          description: The vendor of the destination.
        bucket_name:
          type: string
          pattern: ^[a-z0-9][a-z0-9._-]{1,61}[a-z0-9]$
          title: Bucket name
          description: The name of the bucket where the data will be stored.
        bucket_access_id:
          type: string
          title: Storage account name
      additionalProperties: false
      type: object
      required:
        - name
        - vendor
        - bucket_name
    AthenaMagicLinkOptions:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: >-
        https://github.com/prequel-co/datafeed/internal/export/api/models/athena-magic-link-options
      properties:
        name:
          type: string
          title: Destination name
          description: >-
            Descriptive name for the destination created with this Magic Link.
            This will only be visible internally and is only used as a
            reference.
        set_destination_enabled:
          type: boolean
          description: >-
            Connection will be enabled on creation and data will begin
            transferring upon successful link submission.
        redirect_url:
          type: string
          pattern: ^(https?://.+)?$
          description: >-
            The user will be redirected to the provided URL after successful
            form submission. If left blank the user will remain on the
            successful submission page.
        recipient_id:
          type: string
          format: uuid
          title: Recipient ID
        vendor:
          type: string
          enum:
            - athena
          description: The vendor of the destination.
        bucket_name:
          type: string
          pattern: ^[a-z0-9][a-z0-9.-]{1,61}[a-z0-9]$
          title: Bucket name
          description: The name of the S3 bucket where the data will be stored.
      additionalProperties: false
      type: object
      required:
        - name
        - vendor
        - bucket_name
    BigQueryMagicLinkOptions:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: >-
        https://github.com/prequel-co/datafeed/internal/export/api/models/big-query-magic-link-options
      properties:
        name:
          type: string
          title: Destination name
          description: >-
            Descriptive name for the destination created with this Magic Link.
            This will only be visible internally and is only used as a
            reference.
        set_destination_enabled:
          type: boolean
          description: >-
            Connection will be enabled on creation and data will begin
            transferring upon successful link submission.
        redirect_url:
          type: string
          pattern: ^(https?://.+)?$
          description: >-
            The user will be redirected to the provided URL after successful
            form submission. If left blank the user will remain on the
            successful submission page.
        recipient_id:
          type: string
          format: uuid
          title: Recipient ID
        vendor:
          type: string
          enum:
            - bigquery
          description: The vendor of the destination.
        host:
          type: string
          title: Project ID
          description: The BigQuery Project ID.
        bucket_name:
          type: string
          pattern: ^[a-z0-9][a-z0-9._-]{1,61}[a-z0-9]$
          title: Bucket name
          description: The name of the GCS bucket where the data will be stored.
      additionalProperties: false
      type: object
      required:
        - name
        - vendor
        - host
        - bucket_name
    ClickhouseMagicLinkOptions:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: >-
        https://github.com/prequel-co/datafeed/internal/export/api/models/clickhouse-magic-link-options
      properties:
        name:
          type: string
          title: Destination name
          description: >-
            Descriptive name for the destination created with this Magic Link.
            This will only be visible internally and is only used as a
            reference.
        set_destination_enabled:
          type: boolean
          description: >-
            Connection will be enabled on creation and data will begin
            transferring upon successful link submission.
        redirect_url:
          type: string
          pattern: ^(https?://.+)?$
          description: >-
            The user will be redirected to the provided URL after successful
            form submission. If left blank the user will remain on the
            successful submission page.
        recipient_id:
          type: string
          format: uuid
          title: Recipient ID
        vendor:
          type: string
          enum:
            - clickhouse
          description: The vendor of the destination.
        host:
          type: string
          title: Host
          description: The hostname of the database.
        bucket_vendor:
          type: string
          enum:
            - s3
            - gcs
          title: Bucket vendor
          description: The vendor of the staging bucket.
        bucket_name:
          type: string
          pattern: ^[a-z0-9][a-z0-9._-]{1,61}[a-z0-9]$
          title: Bucket name
          description: The name of the bucket where the data will be stored.
      additionalProperties: false
      type: object
      required:
        - name
        - vendor
        - host
        - bucket_vendor
        - bucket_name
    DatabricksMagicLinkOptions:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: >-
        https://github.com/prequel-co/datafeed/internal/export/api/models/databricks-magic-link-options
      properties:
        name:
          type: string
          title: Destination name
          description: >-
            Descriptive name for the destination created with this Magic Link.
            This will only be visible internally and is only used as a
            reference.
        set_destination_enabled:
          type: boolean
          description: >-
            Connection will be enabled on creation and data will begin
            transferring upon successful link submission.
        redirect_url:
          type: string
          pattern: ^(https?://.+)?$
          description: >-
            The user will be redirected to the provided URL after successful
            form submission. If left blank the user will remain on the
            successful submission page.
        recipient_id:
          type: string
          format: uuid
          title: Recipient ID
        vendor:
          type: string
          enum:
            - databricks
          description: The vendor of the destination.
        host:
          type: string
          title: Server hostname
          description: The hostname of the database.
        metastore:
          type: string
          enum:
            - unity_catalog
            - hive
          title: Metastore
          description: The name of the metastore where the data will be stored.
        bucket_name:
          type: string
          pattern: (^$)|(^[a-z0-9][a-z0-9._-]{1,61}[a-z0-9]$)
          title: Bucket name
          description: The name of the bucket where the data will be stored.
        bucket_vendor:
          type: string
          enum:
            - ''
            - s3
          title: Bucket vendor
          description: The vendor of the staging bucket.
      additionalProperties: false
      type: object
      required:
        - name
        - vendor
        - host
        - metastore
    DeltaLakeMagicLinkOptions:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: >-
        https://github.com/prequel-co/datafeed/internal/export/api/models/delta-lake-magic-link-options
      properties:
        name:
          type: string
          title: Destination name
          description: >-
            Descriptive name for the destination created with this Magic Link.
            This will only be visible internally and is only used as a
            reference.
        set_destination_enabled:
          type: boolean
          description: >-
            Connection will be enabled on creation and data will begin
            transferring upon successful link submission.
        redirect_url:
          type: string
          pattern: ^(https?://.+)?$
          description: >-
            The user will be redirected to the provided URL after successful
            form submission. If left blank the user will remain on the
            successful submission page.
        recipient_id:
          type: string
          format: uuid
          title: Recipient ID
        vendor:
          type: string
          enum:
            - delta_lake
          description: The vendor of the destination.
        bucket_name:
          type: string
          pattern: ^[a-z0-9][a-z0-9._-]{1,61}[a-z0-9]$
          title: Bucket name
          description: The name of the bucket where the data will be stored.
        bucket_vendor:
          type: string
          enum:
            - s3
            - s3_compatible
            - gcs
            - abs
          title: Bucket vendor
          description: The vendor of the staging bucket.
        host:
          type: string
          title: Bucket host
          description: Required for S3 Compatible. The hostname of the database.
        bucket_access_id:
          type: string
          title: Storage account name
          description: Required for ABS.The ABS storage account name.
      additionalProperties: false
      type: object
      required:
        - name
        - vendor
        - bucket_name
        - bucket_vendor
    GCSMagicLinkOptions:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: >-
        https://github.com/prequel-co/datafeed/internal/export/api/models/gcs-magic-link-options
      properties:
        name:
          type: string
          title: Destination name
          description: >-
            Descriptive name for the destination created with this Magic Link.
            This will only be visible internally and is only used as a
            reference.
        set_destination_enabled:
          type: boolean
          description: >-
            Connection will be enabled on creation and data will begin
            transferring upon successful link submission.
        redirect_url:
          type: string
          pattern: ^(https?://.+)?$
          description: >-
            The user will be redirected to the provided URL after successful
            form submission. If left blank the user will remain on the
            successful submission page.
        recipient_id:
          type: string
          format: uuid
          title: Recipient ID
        vendor:
          type: string
          enum:
            - gcs
          description: The vendor of the destination.
        bucket_name:
          type: string
          pattern: ^[a-z0-9][a-z0-9._-]{1,61}[a-z0-9]$
          title: Bucket name
          description: The name of the bucket where the data will be stored.
      additionalProperties: false
      type: object
      required:
        - name
        - vendor
        - bucket_name
    GoogleSheetsMagicLinkOptions:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: >-
        https://github.com/prequel-co/datafeed/internal/export/api/models/google-sheets-magic-link-options
      properties:
        name:
          type: string
          title: Destination name
          description: >-
            Descriptive name for the destination created with this Magic Link.
            This will only be visible internally and is only used as a
            reference.
        set_destination_enabled:
          type: boolean
          description: >-
            Connection will be enabled on creation and data will begin
            transferring upon successful link submission.
        redirect_url:
          type: string
          pattern: ^(https?://.+)?$
          description: >-
            The user will be redirected to the provided URL after successful
            form submission. If left blank the user will remain on the
            successful submission page.
        recipient_id:
          type: string
          format: uuid
          title: Recipient ID
        vendor:
          type: string
          enum:
            - google_sheets
          description: The vendor of the destination.
        host:
          type: string
          pattern: ^(https?:\/\/)?(www.)?docs.google.com\/spreadsheets\/d\/.+(\/)?$
          title: Spreadsheet URL
          description: >-
            URL of the Google Sheet to sync data to. Must be of the form
            https://docs.google.com/spreadsheets/d/123456789...
      additionalProperties: false
      type: object
      required:
        - name
        - vendor
        - host
    RedshiftMagicLinkOptions:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: >-
        https://github.com/prequel-co/datafeed/internal/export/api/models/redshift-magic-link-options
      properties:
        name:
          type: string
          title: Destination name
          description: >-
            Descriptive name for the destination created with this Magic Link.
            This will only be visible internally and is only used as a
            reference.
        set_destination_enabled:
          type: boolean
          description: >-
            Connection will be enabled on creation and data will begin
            transferring upon successful link submission.
        redirect_url:
          type: string
          pattern: ^(https?://.+)?$
          description: >-
            The user will be redirected to the provided URL after successful
            form submission. If left blank the user will remain on the
            successful submission page.
        recipient_id:
          type: string
          format: uuid
          title: Recipient ID
        vendor:
          type: string
          enum:
            - redshift
            - redshift_serverless
          description: The vendor of the destination.
        host:
          type: string
          title: Host
          description: The host address of the database.
        bucket_name:
          type: string
          pattern: ^[a-z0-9][a-z0-9.-]{1,61}[a-z0-9]$
          title: Bucket name
          description: The name of the S3 bucket where the data will be stored.
      additionalProperties: false
      type: object
      required:
        - name
        - vendor
        - host
        - bucket_name
    S3MagicLinkOptions:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: >-
        https://github.com/prequel-co/datafeed/internal/export/api/models/s3-magic-link-options
      properties:
        name:
          type: string
          title: Destination name
          description: >-
            Descriptive name for the destination created with this Magic Link.
            This will only be visible internally and is only used as a
            reference.
        set_destination_enabled:
          type: boolean
          description: >-
            Connection will be enabled on creation and data will begin
            transferring upon successful link submission.
        redirect_url:
          type: string
          pattern: ^(https?://.+)?$
          description: >-
            The user will be redirected to the provided URL after successful
            form submission. If left blank the user will remain on the
            successful submission page.
        recipient_id:
          type: string
          format: uuid
          title: Recipient ID
        vendor:
          type: string
          enum:
            - s3
          description: The vendor of the destination.
        bucket_name:
          type: string
          pattern: ^[a-z0-9][a-z0-9.-]{1,61}[a-z0-9]$
          title: Bucket name
          description: The name of the S3 bucket where the data will be stored.
      additionalProperties: false
      type: object
      required:
        - name
        - vendor
        - bucket_name
    S3CompatibleMagicLinkOptions:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: >-
        https://github.com/prequel-co/datafeed/internal/export/api/models/s3-compatible-magic-link-options
      properties:
        name:
          type: string
          title: Destination name
          description: >-
            Descriptive name for the destination created with this Magic Link.
            This will only be visible internally and is only used as a
            reference.
        set_destination_enabled:
          type: boolean
          description: >-
            Connection will be enabled on creation and data will begin
            transferring upon successful link submission.
        redirect_url:
          type: string
          pattern: ^(https?://.+)?$
          description: >-
            The user will be redirected to the provided URL after successful
            form submission. If left blank the user will remain on the
            successful submission page.
        recipient_id:
          type: string
          format: uuid
          title: Recipient ID
        vendor:
          type: string
          enum:
            - s3_compatible
          description: The vendor of the destination.
        host:
          type: string
          title: Bucket host
          description: The hostname of the database.
        bucket_name:
          type: string
          pattern: ^[a-z0-9][a-z0-9._-]{1,61}[a-z0-9]$
          title: Bucket name
          description: The name of the S3 bucket where the data will be stored.
      additionalProperties: false
      type: object
      required:
        - name
        - vendor
        - host
        - bucket_name
    GenericMagicLinkOptions:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: >-
        https://github.com/prequel-co/datafeed/internal/export/api/models/generic-magic-link-options
      properties:
        name:
          type: string
          title: Destination name
          description: >-
            Descriptive name for the destination created with this Magic Link.
            This will only be visible internally and is only used as a
            reference.
        set_destination_enabled:
          type: boolean
          description: >-
            Connection will be enabled on creation and data will begin
            transferring upon successful link submission.
        redirect_url:
          type: string
          pattern: ^(https?://.+)?$
          description: >-
            The user will be redirected to the provided URL after successful
            form submission. If left blank the user will remain on the
            successful submission page.
        recipient_id:
          type: string
          format: uuid
          title: Recipient ID
        vendor:
          type: string
          enum:
            - aurora_postgres
            - aurora_mysql
            - mongodb
            - mysql
            - oracle
            - postgres
            - sql_server
            - singlestore
            - sftp
          description: The vendor of the destination.
        host:
          type: string
          title: Host
          description: The hostname of the database.
      additionalProperties: false
      type: object
      required:
        - name
        - vendor
        - host
    IcebergMagicLinkOptions:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: >-
        https://github.com/prequel-co/datafeed/internal/export/api/models/iceberg-magic-link-options
      properties:
        name:
          type: string
          title: Destination name
          description: >-
            Descriptive name for the destination created with this Magic Link.
            This will only be visible internally and is only used as a
            reference.
        set_destination_enabled:
          type: boolean
          description: >-
            Connection will be enabled on creation and data will begin
            transferring upon successful link submission.
        redirect_url:
          type: string
          pattern: ^(https?://.+)?$
          description: >-
            The user will be redirected to the provided URL after successful
            form submission. If left blank the user will remain on the
            successful submission page.
        recipient_id:
          type: string
          format: uuid
          title: Recipient ID
        vendor:
          type: string
          enum:
            - iceberg
          description: The vendor of the destination.
        catalog:
          type: string
          enum:
            - catalog_glue
            - catalog_s3_tables
            - catalog_iceberg_rest
          title: Catalog
        bucket_name:
          type: string
          pattern: ^[a-z0-9][a-z0-9._-]{1,61}[a-z0-9]$
          title: Bucket name
          description: The name of the bucket where the data will be stored.
        host:
          type: string
          title: Host
          description: The hostname of the catalog. Required for REST catalog.
        bucket_vendor:
          type: string
          enum:
            - s3
            - s3_compatible
            - gcs
            - abs
          title: Bucket vendor
          description: The vendor of the staging bucket.
        bucket_host:
          type: string
          title: Bucket host
          description: >-
            The hostname of the S3 compatible bucket. Required for REST catalog
            with S3 compatible bucket.
        bucket_access_id:
          type: string
          title: Storage account name
          description: >-
            The ABS storage account name. Required for REST catalog with ABS
            bucket.
        table_bucket_arn:
          type: string
          title: Table bucket ARN
          description: The ARN of the S3 Tables bucket. Required for S3 tables.
      additionalProperties: false
      type: object
      required:
        - name
        - vendor
        - catalog
        - bucket_name
    MotherDuckMagicLinkOptions:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: >-
        https://github.com/prequel-co/datafeed/internal/export/api/models/mother-duck-magic-link-options
      properties:
        name:
          type: string
          title: Destination name
          description: >-
            Descriptive name for the destination created with this Magic Link.
            This will only be visible internally and is only used as a
            reference.
        set_destination_enabled:
          type: boolean
          description: >-
            Connection will be enabled on creation and data will begin
            transferring upon successful link submission.
        redirect_url:
          type: string
          pattern: ^(https?://.+)?$
          description: >-
            The user will be redirected to the provided URL after successful
            form submission. If left blank the user will remain on the
            successful submission page.
        recipient_id:
          type: string
          format: uuid
          title: Recipient ID
        vendor:
          type: string
          enum:
            - motherduck
          description: The vendor of the destination.
      additionalProperties: false
      type: object
      required:
        - name
        - vendor
    SnowflakeMagicLinkOptions:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: >-
        https://github.com/prequel-co/datafeed/internal/export/api/models/snowflake-magic-link-options
      properties:
        name:
          type: string
          title: Destination name
          description: >-
            Descriptive name for the destination created with this Magic Link.
            This will only be visible internally and is only used as a
            reference.
        set_destination_enabled:
          type: boolean
          description: >-
            Connection will be enabled on creation and data will begin
            transferring upon successful link submission.
        redirect_url:
          type: string
          pattern: ^(https?://.+)?$
          description: >-
            The user will be redirected to the provided URL after successful
            form submission. If left blank the user will remain on the
            successful submission page.
        recipient_id:
          type: string
          format: uuid
          title: Recipient ID
        vendor:
          type: string
          enum:
            - snowflake
          description: The vendor of the destination.
        host:
          type: string
          title: Account host
          description: The hostname of the database.
      additionalProperties: false
      type: object
      required:
        - name
        - vendor
        - host
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````